from . import core, types, functions
from . import primitives

_all = {
    0x73f1f8dc: primitives.MsgContainer,
    0xae500895: primitives.FutureSalts,
    0x0949d9dc: primitives.FutureSalt,
    0x3072cfa1: primitives.GzipPacked,
    0x1cb5c415: primitives.Vector,
    0xe7027c94: functions.account.AcceptAuthorization,
    0xc1cbd5b6: functions.account.CancelPasswordEmail,
    0x70c32edb: functions.account.ChangePhone,
    0x2714d86c: functions.account.CheckUsername,
    0x8fdf1920: functions.account.ConfirmPasswordEmail,
    0x5f2178c3: functions.account.ConfirmPhone,
    0x8432c21f: functions.account.CreateTheme,
    0x418d4e0b: functions.account.DeleteAccount,
    0xb880bc4b: functions.account.DeleteSecureValue,
    0x1d2652ee: functions.account.FinishTakeoutSession,
    0x8fc711d: functions.account.GetAccountTTL,
    0xb288bc7d: functions.account.GetAllSecureValues,
    0xb86ba8e1: functions.account.GetAuthorizationForm,
    0xe320c158: functions.account.GetAuthorizations,
    0x56da0b3f: functions.account.GetAutoDownloadSettings,
    0x9f07c728: functions.account.GetContactSignUpNotification,
    0x8b9b4dae: functions.account.GetContentSettings,
    0xeb2b4cf6: functions.account.GetGlobalPrivacySettings,
    0x65ad71dc: functions.account.GetMultiWallPapers,
    0x53577479: functions.account.GetNotifyExceptions,
    0x12b3ad31: functions.account.GetNotifySettings,
    0x548a30f5: functions.account.GetPassword,
    0x9cd4eaf9: functions.account.GetPasswordSettings,
    0xdadbc950: functions.account.GetPrivacy,
    0x73665bc2: functions.account.GetSecureValue,
    0x8d9d742b: functions.account.GetTheme,
    0x285946f8: functions.account.GetThemes,
    0x449e0b51: functions.account.GetTmpPassword,
    0xfc8ddbea: functions.account.GetWallPaper,
    0xaabb1763: functions.account.GetWallPapers,
    0x182e6d6f: functions.account.GetWebAuthorizations,
    0xf05b4804: functions.account.InitTakeoutSession,
    0x7ae43737: functions.account.InstallTheme,
    0xfeed5769: functions.account.InstallWallPaper,
    0x68976c6f: functions.account.RegisterDevice,
    0xae189d5f: functions.account.ReportPeer,
    0x7a7f2a15: functions.account.ResendPasswordEmail,
    0xdf77f3bc: functions.account.ResetAuthorization,
    0xdb7e1747: functions.account.ResetNotifySettings,
    0xbb3b9804: functions.account.ResetWallPapers,
    0x2d01b9ef: functions.account.ResetWebAuthorization,
    0x682d2594: functions.account.ResetWebAuthorizations,
    0x76f36233: functions.account.SaveAutoDownloadSettings,
    0x899fe31d: functions.account.SaveSecureValue,
    0xf257106c: functions.account.SaveTheme,
    0x6c5a5b37: functions.account.SaveWallPaper,
    0x82574ae5: functions.account.SendChangePhoneCode,
    0x1b3faa88: functions.account.SendConfirmPhoneCode,
    0x7011509f: functions.account.SendVerifyEmailCode,
    0xa5a356f9: functions.account.SendVerifyPhoneCode,
    0x2442485e: functions.account.SetAccountTTL,
    0xcff43f61: functions.account.SetContactSignUpNotification,
    0xb574b16b: functions.account.SetContentSettings,
    0x1edaaac2: functions.account.SetGlobalPrivacySettings,
    0xc9f81ce8: functions.account.SetPrivacy,
    0x3076c4bf: functions.account.UnregisterDevice,
    0x38df3532: functions.account.UpdateDeviceLocked,
    0x84be5b93: functions.account.UpdateNotifySettings,
    0xa59b102f: functions.account.UpdatePasswordSettings,
    0x78515775: functions.account.UpdateProfile,
    0x6628562c: functions.account.UpdateStatus,
    0x5cb367d5: functions.account.UpdateTheme,
    0x3e0bdd7c: functions.account.UpdateUsername,
    0x1c3db333: functions.account.UploadTheme,
    0xdd853661: functions.account.UploadWallPaper,
    0xecba39db: functions.account.VerifyEmail,
    0x4dd3a7f6: functions.account.VerifyPhone,
    0xe894ad4d: functions.auth.AcceptLoginToken,
    0xcdd42a05: functions.auth.BindTempAuthKey,
    0x1f040578: functions.auth.CancelCode,
    0xd18b4d16: functions.auth.CheckPassword,
    0x8e48a188: functions.auth.DropTempAuthKeys,
    0xe5bfffcd: functions.auth.ExportAuthorization,
    0xb1b41517: functions.auth.ExportLoginToken,
    0xe3ef9613: functions.auth.ImportAuthorization,
    0x67a3ff2c: functions.auth.ImportBotAuthorization,
    0x95ac5ce4: functions.auth.ImportLoginToken,
    0x5717da40: functions.auth.LogOut,
    0x4ea56e92: functions.auth.RecoverPassword,
    0xd897bc66: functions.auth.RequestPasswordRecovery,
    0x3ef1a9bf: functions.auth.ResendCode,
    0x9fab0d1a: functions.auth.ResetAuthorizations,
    0xa677244f: functions.auth.SendCode,
    0xbcd51581: functions.auth.SignIn,
    0x80eee427: functions.auth.SignUp,
    0xe6213f4d: functions.bots.AnswerWebhookJSONQuery,
    0xaa2769ed: functions.bots.SendCustomRequest,
    0x805d46f6: functions.bots.SetBotCommands,
    0x10e6bd2c: functions.channels.CheckUsername,
    0x3d5fb10f: functions.channels.CreateChannel,
    0xc0111fe3: functions.channels.DeleteChannel,
    0xaf369d42: functions.channels.DeleteHistory,
    0x84c1fd4e: functions.channels.DeleteMessages,
    0xd10dd71b: functions.channels.DeleteUserHistory,
    0xd33c8902: functions.channels.EditAdmin,
    0x72796912: functions.channels.EditBanned,
    0x8f38cd1f: functions.channels.EditCreator,
    0x58e63f6d: functions.channels.EditLocation,
    0xf12e57c9: functions.channels.EditPhoto,
    0x566decd0: functions.channels.EditTitle,
    0xe63fadeb: functions.channels.ExportMessageLink,
    0x33ddf480: functions.channels.GetAdminLog,
    0xf8b036af: functions.channels.GetAdminedPublicChannels,
    0xa7f6bbb: functions.channels.GetChannels,
    0x8736a09: functions.channels.GetFullChannel,
    0xf5dad378: functions.channels.GetGroupsForDiscussion,
    0x11e831ee: functions.channels.GetInactiveChannels,
    0x8341ecc0: functions.channels.GetLeftChannels,
    0xad8c9a23: functions.channels.GetMessages,
    0x546dd7a6: functions.channels.GetParticipant,
    0x123e05e9: functions.channels.GetParticipants,
    0x199f3a6c: functions.channels.InviteToChannel,
    0x24b524c5: functions.channels.JoinChannel,
    0xf836aa95: functions.channels.LeaveChannel,
    0xcc104937: functions.channels.ReadHistory,
    0xeab5dc38: functions.channels.ReadMessageContents,
    0xfe087810: functions.channels.ReportSpam,
    0x40582bb2: functions.channels.SetDiscussionGroup,
    0xea8ca4f9: functions.channels.SetStickers,
    0xeabbb94c: functions.channels.TogglePreHistoryHidden,
    0x1f69b606: functions.channels.ToggleSignatures,
    0xedd49ef0: functions.channels.ToggleSlowMode,
    0x3514b3de: functions.channels.UpdateUsername,
    0xf831a20f: functions.contacts.AcceptContact,
    0xe8f463d0: functions.contacts.AddContact,
    0x68cc1411: functions.contacts.Block,
    0x29a8962c: functions.contacts.BlockFromReplies,
    0x1013fd9e: functions.contacts.DeleteByPhones,
    0x96a0e00: functions.contacts.DeleteContacts,
    0xf57c350f: functions.contacts.GetBlocked,
    0x2caa4a42: functions.contacts.GetContactIDs,
    0xc023849f: functions.contacts.GetContacts,
    0xd348bc44: functions.contacts.GetLocated,
    0x82f1e39f: functions.contacts.GetSaved,
    0xc4a353ee: functions.contacts.GetStatuses,
    0xd4982db5: functions.contacts.GetTopPeers,
    0x2c800be5: functions.contacts.ImportContacts,
    0x879537f1: functions.contacts.ResetSaved,
    0x1ae373ac: functions.contacts.ResetTopPeerRating,
    0xf93ccba3: functions.contacts.ResolveUsername,
    0x11f812d8: functions.contacts.Search,
    0x8514bdda: functions.contacts.ToggleTopPeers,
    0xbea65d50: functions.contacts.Unblock,
    0x1c295881: functions.folders.DeleteFolder,
    0x6847d0ab: functions.folders.EditPeerFolders,
    0xee72f79a: functions.help.AcceptTermsOfService,
    0x77fa99f: functions.help.DismissSuggestion,
    0x66b91b70: functions.help.EditUserInfo,
    0x9010ef6f: functions.help.GetAppChangelog,
    0x98914110: functions.help.GetAppConfig,
    0x522d5a7d: functions.help.GetAppUpdate,
    0x52029342: functions.help.GetCdnConfig,
    0xc4f9186b: functions.help.GetConfig,
    0x735787a8: functions.help.GetCountriesList,
    0x3fedc75f: functions.help.GetDeepLinkInfo,
    0x4d392343: functions.help.GetInviteText,
    0x1fb33026: functions.help.GetNearestDc,
    0xc661ad08: functions.help.GetPassportConfig,
    0xc0977421: functions.help.GetPromoData,
    0x3dc0f114: functions.help.GetRecentMeUrls,
    0x9cdf08cd: functions.help.GetSupport,
    0xd360e72c: functions.help.GetSupportName,
    0x2ca51fd1: functions.help.GetTermsOfServiceUpdate,
    0x38a08d3: functions.help.GetUserInfo,
    0x1e251c95: functions.help.HidePromoData,
    0x6f02f748: functions.help.SaveAppLog,
    0xec22cfcd: functions.help.SetBotUpdatesStatus,
    0xc1cd5ea9: functions.InitConnection,
    0xcb9f372d: functions.InvokeAfterMsg,
    0x3dc4b4f0: functions.InvokeAfterMsgs,
    0xda9b0d0d: functions.InvokeWithLayer,
    0x365275f2: functions.InvokeWithMessagesRange,
    0xaca9fd2e: functions.InvokeWithTakeout,
    0xbf9459b7: functions.InvokeWithoutUpdates,
    0xcd984aa5: functions.langpack.GetDifference,
    0xf2f2330a: functions.langpack.GetLangPack,
    0x6a596502: functions.langpack.GetLanguage,
    0x42c6978f: functions.langpack.GetLanguages,
    0xefea3803: functions.langpack.GetStrings,
    0x3dbc0415: functions.messages.AcceptEncryption,
    0xf729ea98: functions.messages.AcceptUrlAuth,
    0xf9a0aa09: functions.messages.AddChatUser,
    0x3eadb1bb: functions.messages.CheckChatInvite,
    0x7e58ee9c: functions.messages.ClearAllDrafts,
    0x8999602d: functions.messages.ClearRecentStickers,
    0x9cb126e: functions.messages.CreateChat,
    0xe0611f16: functions.messages.DeleteChatUser,
    0x1c015b09: functions.messages.DeleteHistory,
    0xe58e95d2: functions.messages.DeleteMessages,
    0x59ae2b16: functions.messages.DeleteScheduledMessages,
    0xedd923c5: functions.messages.DiscardEncryption,
    0xdef60797: functions.messages.EditChatAbout,
    0xa9e69f2e: functions.messages.EditChatAdmin,
    0xa5866b41: functions.messages.EditChatDefaultBannedRights,
    0xca4c79d8: functions.messages.EditChatPhoto,
    0xdc452855: functions.messages.EditChatTitle,
    0x83557dba: functions.messages.EditInlineBotMessage,
    0x48f71778: functions.messages.EditMessage,
    0xdf7534c: functions.messages.ExportChatInvite,
    0xb9ffc55b: functions.messages.FaveSticker,
    0xd9fee60e: functions.messages.ForwardMessages,
    0xeba80ff0: functions.messages.GetAllChats,
    0x6a3f8d65: functions.messages.GetAllDrafts,
    0x1c9618b1: functions.messages.GetAllStickers,
    0x57f17692: functions.messages.GetArchivedStickers,
    0xcc5b67cc: functions.messages.GetAttachedStickers,
    0x9342ca07: functions.messages.GetBotCallbackAnswer,
    0x3c6aa187: functions.messages.GetChats,
    0xd0a48c4: functions.messages.GetCommonChats,
    0x26cf8950: functions.messages.GetDhConfig,
    0xf19ed96d: functions.messages.GetDialogFilters,
    0x22e24e22: functions.messages.GetDialogUnreadMarks,
    0xa0ee3b73: functions.messages.GetDialogs,
    0x446972fd: functions.messages.GetDiscussionMessage,
    0x338e2464: functions.messages.GetDocumentByHash,
    0x35a0e062: functions.messages.GetEmojiKeywords,
    0x1508b6af: functions.messages.GetEmojiKeywordsDifference,
    0x4e9963b2: functions.messages.GetEmojiKeywordsLanguages,
    0xd5b10c26: functions.messages.GetEmojiURL,
    0x21ce0b0e: functions.messages.GetFavedStickers,
    0x2dacca4f: functions.messages.GetFeaturedStickers,
    0x3b831c66: functions.messages.GetFullChat,
    0xe822649d: functions.messages.GetGameHighScores,
    0xdcbb8260: functions.messages.GetHistory,
    0x514e999d: functions.messages.GetInlineBotResults,
    0xf635e1b: functions.messages.GetInlineGameHighScores,
    0x65b8c79f: functions.messages.GetMaskStickers,
    0xfda68d36: functions.messages.GetMessageEditData,
    0x63c66506: functions.messages.GetMessages,
    0x5784d3e1: functions.messages.GetMessagesViews,
    0x5fe7025b: functions.messages.GetOldFeaturedStickers,
    0x6e2be050: functions.messages.GetOnlines,
    0xe470bcfd: functions.messages.GetPeerDialogs,
    0x3672e09c: functions.messages.GetPeerSettings,
    0xd6b94df2: functions.messages.GetPinnedDialogs,
    0x73bb643b: functions.messages.GetPollResults,
    0xb86e380e: functions.messages.GetPollVotes,
    0xbbc45b09: functions.messages.GetRecentLocations,
    0x5ea192c9: functions.messages.GetRecentStickers,
    0x24b581ba: functions.messages.GetReplies,
    0x83bf3d52: functions.messages.GetSavedGifs,
    0xe2c2685b: functions.messages.GetScheduledHistory,
    0xbdbb0464: functions.messages.GetScheduledMessages,
    0x732eef00: functions.messages.GetSearchCounters,
    0x1cff7e08: functions.messages.GetSplitRanges,
    0x812c2ae6: functions.messages.GetStatsURL,
    0x2619a90e: functions.messages.GetStickerSet,
    0x43d4f2c: functions.messages.GetStickers,
    0xa29cd42c: functions.messages.GetSuggestedDialogFilters,
    0x46578472: functions.messages.GetUnreadMentions,
    0x32ca8f91: functions.messages.GetWebPage,
    0x8b68b0cc: functions.messages.GetWebPagePreview,
    0x4facb138: functions.messages.HidePeerSettingsBar,
    0x6c50051c: functions.messages.ImportChatInvite,
    0xc78fe460: functions.messages.InstallStickerSet,
    0xc286d98f: functions.messages.MarkDialogUnread,
    0x15a3b8e3: functions.messages.MigrateChat,
    0xf731a9f4: functions.messages.ReadDiscussion,
    0x7f4b690a: functions.messages.ReadEncryptedHistory,
    0x5b118126: functions.messages.ReadFeaturedStickers,
    0xe306d3a: functions.messages.ReadHistory,
    0xf0189d3: functions.messages.ReadMentions,
    0x36a73f77: functions.messages.ReadMessageContents,
    0x5a954c0: functions.messages.ReceivedMessages,
    0x55a5bb66: functions.messages.ReceivedQueue,
    0x3b1adf37: functions.messages.ReorderPinnedDialogs,
    0x78337739: functions.messages.ReorderStickerSets,
    0xbd82b658: functions.messages.Report,
    0x4b0c8c0f: functions.messages.ReportEncryptedSpam,
    0xcf1592db: functions.messages.ReportSpam,
    0xf64daf43: functions.messages.RequestEncryption,
    0xe33f5613: functions.messages.RequestUrlAuth,
    0xbc39e14b: functions.messages.SaveDraft,
    0x327a30cb: functions.messages.SaveGif,
    0x392718f8: functions.messages.SaveRecentSticker,
    0xc352eec: functions.messages.Search,
    0x4bc6589a: functions.messages.SearchGlobal,
    0xc2b7d08b: functions.messages.SearchStickerSets,
    0x44fa7a15: functions.messages.SendEncrypted,
    0x5559481d: functions.messages.SendEncryptedFile,
    0x32d439a4: functions.messages.SendEncryptedService,
    0x220815b0: functions.messages.SendInlineBotResult,
    0x3491eba9: functions.messages.SendMedia,
    0x520c3870: functions.messages.SendMessage,
    0xcc0110cb: functions.messages.SendMultiMedia,
    0xbd38850a: functions.messages.SendScheduledMessages,
    0xc97df020: functions.messages.SendScreenshotNotification,
    0x10ea6184: functions.messages.SendVote,
    0xd58f130a: functions.messages.SetBotCallbackAnswer,
    0x9c2dd95: functions.messages.SetBotPrecheckoutResults,
    0xe5f672fa: functions.messages.SetBotShippingResults,
    0x791451ed: functions.messages.SetEncryptedTyping,
    0x8ef8ecc0: functions.messages.SetGameScore,
    0xeb5ea206: functions.messages.SetInlineBotResults,
    0x15ad9f64: functions.messages.SetInlineGameScore,
    0x58943ee2: functions.messages.SetTyping,
    0xe6df7378: functions.messages.StartBot,
    0xa731e257: functions.messages.ToggleDialogPin,
    0xb5052fea: functions.messages.ToggleStickerSets,
    0xf96e55de: functions.messages.UninstallStickerSet,
    0xf025bc8b: functions.messages.UnpinAllMessages,
    0x1ad4a04a: functions.messages.UpdateDialogFilter,
    0xc563c1e4: functions.messages.UpdateDialogFiltersOrder,
    0xd2aaf7ec: functions.messages.UpdatePinnedMessage,
    0x5057c497: functions.messages.UploadEncryptedFile,
    0x519bc2b1: functions.messages.UploadMedia,
    0xd83d70c1: functions.payments.ClearSavedInfo,
    0x2e79d779: functions.payments.GetBankCardData,
    0x99f09745: functions.payments.GetPaymentForm,
    0xa092a980: functions.payments.GetPaymentReceipt,
    0x227d824b: functions.payments.GetSavedInfo,
    0x2b8879b3: functions.payments.SendPaymentForm,
    0x770a8e74: functions.payments.ValidateRequestedInfo,
    0x3bd2b4a0: functions.phone.AcceptCall,
    0xb74a7bea: functions.phone.CheckGroupCall,
    0x2efe1722: functions.phone.ConfirmCall,
    0xbd3dabe0: functions.phone.CreateGroupCall,
    0xb2cbc1c0: functions.phone.DiscardCall,
    0x7a777135: functions.phone.DiscardGroupCall,
    0x63146ae4: functions.phone.EditGroupCallMember,
    0x55451fa9: functions.phone.GetCallConfig,
    0xc7cb017: functions.phone.GetGroupCall,
    0xc9f1d285: functions.phone.GetGroupParticipants,
    0x7b393160: functions.phone.InviteToGroupCall,
    0x5f9c8e62: functions.phone.JoinGroupCall,
    0x500377f9: functions.phone.LeaveGroupCall,
    0x17d54f61: functions.phone.ReceivedCall,
    0x42ff96ed: functions.phone.RequestCall,
    0x277add7e: functions.phone.SaveCallDebug,
    0xff7a9383: functions.phone.SendSignalingData,
    0x59ead627: functions.phone.SetCallRating,
    0x74bbb43d: functions.phone.ToggleGroupCallSettings,
    0x87cf7f2f: functions.photos.DeletePhotos,
    0x91cd32a8: functions.photos.GetUserPhotos,
    0x72d4742c: functions.photos.UpdateProfilePhoto,
    0x89f30f69: functions.photos.UploadProfilePhoto,
    0xab42441a: functions.stats.GetBroadcastStats,
    0xdcdf8607: functions.stats.GetMegagroupStats,
    0x5630281b: functions.stats.GetMessagePublicForwards,
    0xb6e0a3f5: functions.stats.GetMessageStats,
    0x621d5fa0: functions.stats.LoadAsyncGraph,
    0x8653febe: functions.stickers.AddStickerToSet,
    0xffb6d4ca: functions.stickers.ChangeStickerPosition,
    0xf1036780: functions.stickers.CreateStickerSet,
    0xf7760f51: functions.stickers.RemoveStickerFromSet,
    0x9a364e30: functions.stickers.SetStickerSetThumb,
    0x3173d78: functions.updates.GetChannelDifference,
    0x25939651: functions.updates.GetDifference,
    0xedd4882a: functions.updates.GetState,
    0x2000bcc3: functions.upload.GetCdnFile,
    0x4da54231: functions.upload.GetCdnFileHashes,
    0xb15a9afc: functions.upload.GetFile,
    0xc7025931: functions.upload.GetFileHashes,
    0x24e6818d: functions.upload.GetWebFile,
    0x9b2754a8: functions.upload.ReuploadCdnFile,
    0xde7b673d: functions.upload.SaveBigFilePart,
    0xb304a621: functions.upload.SaveFilePart,
    0xca30a5b1: functions.users.GetFullUser,
    0xd91a548: functions.users.GetUsers,
    0x90c894b5: functions.users.SetSecureValueErrors,
    0xad2e1cd8: types.account.AuthorizationForm,
    0x1250abde: types.account.Authorizations,
    0x63cacf26: types.account.AutoDownloadSettings,
    0x57e28221: types.account.ContentSettings,
    0xad2641f8: types.account.Password,
    0xc23727c9: types.account.PasswordInputSettings,
    0x9a5c33e5: types.account.PasswordSettings,
    0x50a04e45: types.account.PrivacyRules,
    0x811f854f: types.account.SentEmailCode,
    0x4dba4501: types.account.Takeout,
    0x7f676421: types.account.Themes,
    0xf41eb622: types.account.ThemesNotModified,
    0xdb64fd34: types.account.TmpPassword,
    0x702b65a9: types.account.WallPapers,
    0x1c199183: types.account.WallPapersNotModified,
    0xed56c9fc: types.account.WebAuthorizations,
    0xb8d0afdf: types.AccountDaysTTL,
    0xcd050916: types.auth.Authorization,
    0x44747e9a: types.auth.AuthorizationSignUpRequired,
    0x741cd3e3: types.auth.CodeTypeCall,
    0x226ccefb: types.auth.CodeTypeFlashCall,
    0x72a3158c: types.auth.CodeTypeSms,
    0xdf969c2d: types.auth.ExportedAuthorization,
    0x629f1980: types.auth.LoginToken,
    0x68e9916: types.auth.LoginTokenMigrateTo,
    0x390d5c5e: types.auth.LoginTokenSuccess,
    0x137948a5: types.auth.PasswordRecovery,
    0x5e002502: types.auth.SentCode,
    0x3dbb5986: types.auth.SentCodeTypeApp,
    0x5353e5a7: types.auth.SentCodeTypeCall,
    0xab03c6d9: types.auth.SentCodeTypeFlashCall,
    0xc000bba2: types.auth.SentCodeTypeSms,
    0xad01d61d: types.Authorization,
    0xe04232f3: types.AutoDownloadSettings,
    0xf568028a: types.BankCardOpenUrl,
    0x5b11125a: types.BaseThemeArctic,
    0xc3a12462: types.BaseThemeClassic,
    0xfbd81688: types.BaseThemeDay,
    0xb7b31ea8: types.BaseThemeNight,
    0x6d5f77ee: types.BaseThemeTinted,
    0xc27ac8c7: types.BotCommand,
    0x98e81d3a: types.BotInfo,
    0x17db940b: types.BotInlineMediaResult,
    0x764cf810: types.BotInlineMessageMediaAuto,
    0x18d1cdc2: types.BotInlineMessageMediaContact,
    0x51846fd: types.BotInlineMessageMediaGeo,
    0x8a86659c: types.BotInlineMessageMediaVenue,
    0x8c7f65e2: types.BotInlineMessageText,
    0x11965f3a: types.BotInlineResult,
    0x5725e40a: types.CdnConfig,
    0xc982eaba: types.CdnPublicKey,
    0xd31a961e: types.Channel,
    0x3b5a3e40: types.ChannelAdminLogEvent,
    0x55188a2e: types.ChannelAdminLogEventActionChangeAbout,
    0xa26f881b: types.ChannelAdminLogEventActionChangeLinkedChat,
    0xe6b76ae: types.ChannelAdminLogEventActionChangeLocation,
    0x434bd2af: types.ChannelAdminLogEventActionChangePhoto,
    0xb1c3caa7: types.ChannelAdminLogEventActionChangeStickerSet,
    0xe6dfb825: types.ChannelAdminLogEventActionChangeTitle,
    0x6a4afc38: types.ChannelAdminLogEventActionChangeUsername,
    0x2df5fc0a: types.ChannelAdminLogEventActionDefaultBannedRights,
    0x42e047bb: types.ChannelAdminLogEventActionDeleteMessage,
    0xdb9f9140: types.ChannelAdminLogEventActionDiscardGroupCall,
    0x709b2405: types.ChannelAdminLogEventActionEditMessage,
    0xe31c34d8: types.ChannelAdminLogEventActionParticipantInvite,
    0x183040d3: types.ChannelAdminLogEventActionParticipantJoin,
    0xf89777f2: types.ChannelAdminLogEventActionParticipantLeave,
    0xf92424d2: types.ChannelAdminLogEventActionParticipantMute,
    0xd5676710: types.ChannelAdminLogEventActionParticipantToggleAdmin,
    0xe6d83d7e: types.ChannelAdminLogEventActionParticipantToggleBan,
    0xe64429c0: types.ChannelAdminLogEventActionParticipantUnmute,
    0x23209745: types.ChannelAdminLogEventActionStartGroupCall,
    0x8f079643: types.ChannelAdminLogEventActionStopPoll,
    0x56d6a247: types.ChannelAdminLogEventActionToggleGroupCallSetting,
    0x1b7907ae: types.ChannelAdminLogEventActionToggleInvites,
    0x5f5c95f1: types.ChannelAdminLogEventActionTogglePreHistoryHidden,
    0x26ae0971: types.ChannelAdminLogEventActionToggleSignatures,
    0x53909779: types.ChannelAdminLogEventActionToggleSlowMode,
    0xe9e82c18: types.ChannelAdminLogEventActionUpdatePinned,
    0xea107ae4: types.ChannelAdminLogEventsFilter,
    0x289da732: types.ChannelForbidden,
    0xef3a6acd: types.ChannelFull,
    0x209b82db: types.ChannelLocation,
    0xbfb5ad8b: types.ChannelLocationEmpty,
    0xcd77d957: types.ChannelMessagesFilter,
    0x94d42ee7: types.ChannelMessagesFilterEmpty,
    0x15ebac1d: types.ChannelParticipant,
    0xccbebbaf: types.ChannelParticipantAdmin,
    0x1c0facaf: types.ChannelParticipantBanned,
    0x447dca4b: types.ChannelParticipantCreator,
    0xc3c6796b: types.ChannelParticipantLeft,
    0xa3289a6d: types.ChannelParticipantSelf,
    0xb4608969: types.ChannelParticipantsAdmins,
    0x1427a5e1: types.ChannelParticipantsBanned,
    0xb0d1865b: types.ChannelParticipantsBots,
    0xbb6ae88d: types.ChannelParticipantsContacts,
    0xa3b54985: types.ChannelParticipantsKicked,
    0xe04b5ceb: types.ChannelParticipantsMentions,
    0xde3f3c79: types.ChannelParticipantsRecent,
    0x656ac4b: types.ChannelParticipantsSearch,
    0xed8af74d: types.channels.AdminLogResults,
    0xd0d9b163: types.channels.ChannelParticipant,
    0xf56ee2a8: types.channels.ChannelParticipants,
    0xf0173fe9: types.channels.ChannelParticipantsNotModified,
    0x3bda1bde: types.Chat,
    0x5fb224d5: types.ChatAdminRights,
    0x9f120418: types.ChatBannedRights,
    0x9ba2d800: types.ChatEmpty,
    0x7328bdb: types.ChatForbidden,
    0xdc8c181: types.ChatFull,
    0xdfc2f58e: types.ChatInvite,
    0x5a686d7c: types.ChatInviteAlready,
    0x69df3769: types.ChatInviteEmpty,
    0xfc2e05bc: types.ChatInviteExported,
    0x61695cb0: types.ChatInvitePeek,
    0xf041e250: types.ChatOnlines,
    0xc8d7493e: types.ChatParticipant,
    0xe2d6e436: types.ChatParticipantAdmin,
    0xda13538a: types.ChatParticipantCreator,
    0x3f460fed: types.ChatParticipants,
    0xfc900c2b: types.ChatParticipantsForbidden,
    0xd20b9f3c: types.ChatPhoto,
    0x37c1011c: types.ChatPhotoEmpty,
    0xdebebe83: types.CodeSettings,
    0x330b4067: types.Config,
    0xf911c994: types.Contact,
    0xd3680c61: types.ContactStatus,
    0xade1591: types.contacts.Blocked,
    0xe1664194: types.contacts.BlockedSlice,
    0xeae87e42: types.contacts.Contacts,
    0xb74ba9d2: types.contacts.ContactsNotModified,
    0xb3134d9d: types.contacts.Found,
    0x77d01c3b: types.contacts.ImportedContacts,
    0x7f077ad9: types.contacts.ResolvedPeer,
    0x70b772a8: types.contacts.TopPeers,
    0xb52c939d: types.contacts.TopPeersDisabled,
    0xde266ef5: types.contacts.TopPeersNotModified,
    0x7d748d04: types.DataJSON,
    0x18b7a10d: types.DcOption,
    0x2c171f72: types.Dialog,
    0x7438f7e8: types.DialogFilter,
    0x77744d4a: types.DialogFilterSuggested,
    0x71bd134c: types.DialogFolder,
    0xe56dbf05: types.DialogPeer,
    0x514519e2: types.DialogPeerFolder,
    0x1e87342b: types.Document,
    0x11b58939: types.DocumentAttributeAnimated,
    0x9852f9c6: types.DocumentAttributeAudio,
    0x15590068: types.DocumentAttributeFilename,
    0x9801d2f7: types.DocumentAttributeHasStickers,
    0x6c37c15c: types.DocumentAttributeImageSize,
    0x6319d612: types.DocumentAttributeSticker,
    0xef02ce6: types.DocumentAttributeVideo,
    0x36f8c871: types.DocumentEmpty,
    0xfd8e711f: types.DraftMessage,
    0x1b0c841a: types.DraftMessageEmpty,
    0xd5b3b9f9: types.EmojiKeyword,
    0x236df622: types.EmojiKeywordDeleted,
    0x5cc761bd: types.EmojiKeywordsDifference,
    0xb3fb5361: types.EmojiLanguage,
    0xa575739d: types.EmojiURL,
    0xfa56ce36: types.EncryptedChat,
    0x13d6dd27: types.EncryptedChatDiscarded,
    0xab7ec0a0: types.EncryptedChatEmpty,
    0x62718a82: types.EncryptedChatRequested,
    0x3bf703dc: types.EncryptedChatWaiting,
    0x4a70994c: types.EncryptedFile,
    0xc21f497e: types.EncryptedFileEmpty,
    0xed18c118: types.EncryptedMessage,
    0x23734b06: types.EncryptedMessageService,
    0x5dab1af4: types.ExportedMessageLink,
    0x6242c773: types.FileHash,
    0xbc7fc6cd: types.FileLocationToBeDeprecated,
    0xff544e65: types.Folder,
    0xe9baa668: types.FolderPeer,
    0xbdf9653b: types.Game,
    0xb2a2f663: types.GeoPoint,
    0x1117dd5f: types.GeoPointEmpty,
    0xbea2f424: types.GlobalPrivacySettings,
    0x55903081: types.GroupCall,
    0x7780bcb4: types.GroupCallDiscarded,
    0x56b087c9: types.GroupCallParticipant,
    0x1da7158f: types.help.AppUpdate,
    0x87d0759e: types.help.CountriesList,
    0x93cc1f32: types.help.CountriesListNotModified,
    0xc3878e23: types.help.Country,
    0x4203c5ef: types.help.CountryCode,
    0x6a4ee832: types.help.DeepLinkInfo,
    0x66afa166: types.help.DeepLinkInfoEmpty,
    0x18cb9f78: types.help.InviteText,
    0xc45a6536: types.help.NoAppUpdate,
    0xa098d6af: types.help.PassportConfig,
    0xbfb9f457: types.help.PassportConfigNotModified,
    0x8c39793f: types.help.PromoData,
    0x98f6ac75: types.help.PromoDataEmpty,
    0xe0310d7: types.help.RecentMeUrls,
    0x17c6b5f6: types.help.Support,
    0x8c05f1c9: types.help.SupportName,
    0x780a0310: types.help.TermsOfService,
    0x28ecf961: types.help.TermsOfServiceUpdate,
    0xe3309f7f: types.help.TermsOfServiceUpdateEmpty,
    0x1eb3758: types.help.UserInfo,
    0xf3ae2eed: types.help.UserInfoEmpty,
    0x58fffcd0: types.HighScore,
    0xd0028438: types.ImportedContact,
    0x3c20629f: types.InlineBotSwitchPM,
    0x6334ee9a: types.InlineQueryPeerTypeBroadcast,
    0xd766c50a: types.InlineQueryPeerTypeChat,
    0x5ec4be43: types.InlineQueryPeerTypeMegagroup,
    0x833c0fac: types.InlineQueryPeerTypePM,
    0x3081ed9d: types.InlineQueryPeerTypeSameBotPM,
    0x1d1b1245: types.InputAppEvent,
    0x4b425864: types.InputBotInlineMessageGame,
    0x890c3d89: types.InputBotInlineMessageID,
    0x3380c786: types.InputBotInlineMessageMediaAuto,
    0xa6edbffd: types.InputBotInlineMessageMediaContact,
    0x96929a85: types.InputBotInlineMessageMediaGeo,
    0x417bbf11: types.InputBotInlineMessageMediaVenue,
    0x3dcd7a87: types.InputBotInlineMessageText,
    0x88bf9319: types.InputBotInlineResult,
    0xfff8fdc4: types.InputBotInlineResultDocument,
    0x4fa417f2: types.InputBotInlineResultGame,
    0xa8d864a7: types.InputBotInlineResultPhoto,
    0xafeb712e: types.InputChannel,
    0xee8c1e86: types.InputChannelEmpty,
    0x2a286531: types.InputChannelFromMessage,
    0x8953ad37: types.InputChatPhoto,
    0x1ca48f57: types.InputChatPhotoEmpty,
    0xc642724e: types.InputChatUploadedPhoto,
    0x9880f658: types.InputCheckPasswordEmpty,
    0xd27ff082: types.InputCheckPasswordSRP,
    0x75588b3f: types.InputClientProxy,
    0xfcaafeb7: types.InputDialogPeer,
    0x64600527: types.InputDialogPeerFolder,
    0x1abfb575: types.InputDocument,
    0x72f0eaae: types.InputDocumentEmpty,
    0xbad07584: types.InputDocumentFileLocation,
    0xf141b5e1: types.InputEncryptedChat,
    0x5a17b5e5: types.InputEncryptedFile,
    0x2dc173c8: types.InputEncryptedFileBigUploaded,
    0x1837c364: types.InputEncryptedFileEmpty,
    0xf5235d55: types.InputEncryptedFileLocation,
    0x64bd0306: types.InputEncryptedFileUploaded,
    0xf52ff27f: types.InputFile,
    0xfa4f0bb5: types.InputFileBig,
    0xdfdaabe1: types.InputFileLocation,
    0xfbd2c296: types.InputFolderPeer,
    0x32c3e77: types.InputGameID,
    0xc331e80a: types.InputGameShortName,
    0x48222faf: types.InputGeoPoint,
    0xe4c123d6: types.InputGeoPointEmpty,
    0xd8aa840f: types.InputGroupCall,
    0xd02e7fd4: types.InputKeyboardButtonUrlAuth,
    0xf8ab7dfb: types.InputMediaContact,
    0xe66fbf7b: types.InputMediaDice,
    0x23ab23d2: types.InputMediaDocument,
    0xfb52dc99: types.InputMediaDocumentExternal,
    0x9664f57f: types.InputMediaEmpty,
    0xd33f43f3: types.InputMediaGame,
    0x971fa843: types.InputMediaGeoLive,
    0xf9c44144: types.InputMediaGeoPoint,
    0xf4e096c3: types.InputMediaInvoice,
    0xb3ba0635: types.InputMediaPhoto,
    0xe5bbfe1a: types.InputMediaPhotoExternal,
    0xf94e5f1: types.InputMediaPoll,
    0x5b38c6c1: types.InputMediaUploadedDocument,
    0x1e287d04: types.InputMediaUploadedPhoto,
    0xc13d1c11: types.InputMediaVenue,
    0xacfa1a7e: types.InputMessageCallbackQuery,
    0x208e68c9: types.InputMessageEntityMentionName,
    0xa676a322: types.InputMessageID,
    0x86872538: types.InputMessagePinned,
    0xbad88395: types.InputMessageReplyTo,
    0x3a20ecb8: types.InputMessagesFilterChatPhotos,
    0xe062db83: types.InputMessagesFilterContacts,
    0x9eddf188: types.InputMessagesFilterDocument,
    0x57e2f66c: types.InputMessagesFilterEmpty,
    0xe7026d0d: types.InputMessagesFilterGeo,
    0xffc86587: types.InputMessagesFilterGif,
    0x3751b49e: types.InputMessagesFilterMusic,
    0xc1f8e69a: types.InputMessagesFilterMyMentions,
    0x80c99768: types.InputMessagesFilterPhoneCalls,
    0x56e9f0e4: types.InputMessagesFilterPhotoVideo,
    0x9609a51c: types.InputMessagesFilterPhotos,
    0x1bb00451: types.InputMessagesFilterPinned,
    0xb549da53: types.InputMessagesFilterRoundVideo,
    0x7a7c17a4: types.InputMessagesFilterRoundVoice,
    0x7ef0dd87: types.InputMessagesFilterUrl,
    0x9fc00e65: types.InputMessagesFilterVideo,
    0x50f5c392: types.InputMessagesFilterVoice,
    0xb1db7c7e: types.InputNotifyBroadcasts,
    0x4a95e84e: types.InputNotifyChats,
    0xb8bc5b0c: types.InputNotifyPeer,
    0x193b4417: types.InputNotifyUsers,
    0x3417d728: types.InputPaymentCredentials,
    0xca05d50e: types.InputPaymentCredentialsAndroidPay,
    0xaa1c39f: types.InputPaymentCredentialsApplePay,
    0xc10eb2cf: types.InputPaymentCredentialsSaved,
    0x20adaef8: types.InputPeerChannel,
    0x9c95f7bb: types.InputPeerChannelFromMessage,
    0x179be863: types.InputPeerChat,
    0x7f3b18ea: types.InputPeerEmpty,
    0x9c3d198e: types.InputPeerNotifySettings,
    0x27d69997: types.InputPeerPhotoFileLocation,
    0x7da07ec9: types.InputPeerSelf,
    0x7b8e7de6: types.InputPeerUser,
    0x17bae2e6: types.InputPeerUserFromMessage,
    0x1e36fded: types.InputPhoneCall,
    0xf392b7f4: types.InputPhoneContact,
    0x3bb3b94a: types.InputPhoto,
    0x1cd7bf0d: types.InputPhotoEmpty,
    0x40181ffe: types.InputPhotoFileLocation,
    0xd83466f3: types.InputPhotoLegacyFileLocation,
    0xd1219bdd: types.InputPrivacyKeyAddedByPhone,
    0xbdfb0426: types.InputPrivacyKeyChatInvite,
    0xa4dd4c08: types.InputPrivacyKeyForwards,
    0xfabadc5f: types.InputPrivacyKeyPhoneCall,
    0x352dafa: types.InputPrivacyKeyPhoneNumber,
    0xdb9e70d2: types.InputPrivacyKeyPhoneP2P,
    0x5719bacc: types.InputPrivacyKeyProfilePhoto,
    0x4f96cb18: types.InputPrivacyKeyStatusTimestamp,
    0x184b35ce: types.InputPrivacyValueAllowAll,
    0x4c81c1ba: types.InputPrivacyValueAllowChatParticipants,
    0xd09e07b: types.InputPrivacyValueAllowContacts,
    0x131cc67f: types.InputPrivacyValueAllowUsers,
    0xd66b66c9: types.InputPrivacyValueDisallowAll,
    0xd82363af: types.InputPrivacyValueDisallowChatParticipants,
    0xba52007: types.InputPrivacyValueDisallowContacts,
    0x90110467: types.InputPrivacyValueDisallowUsers,
    0xadf44ee3: types.InputReportReasonChildAbuse,
    0x9b89f93a: types.InputReportReasonCopyright,
    0xdbd4feed: types.InputReportReasonGeoIrrelevant,
    0xe1746d0a: types.InputReportReasonOther,
    0x2e59d922: types.InputReportReasonPornography,
    0x58dbcab8: types.InputReportReasonSpam,
    0x1e22c78d: types.InputReportReasonViolence,
    0x5367e5be: types.InputSecureFile,
    0xcbc7ee28: types.InputSecureFileLocation,
    0x3334b0f0: types.InputSecureFileUploaded,
    0xdb21d0a7: types.InputSecureValue,
    0x1cc6e91f: types.InputSingleMedia,
    0x28703c8: types.InputStickerSetAnimatedEmoji,
    0xe67f520e: types.InputStickerSetDice,
    0xffb62b95: types.InputStickerSetEmpty,
    0x9de7a269: types.InputStickerSetID,
    0xffa0a496: types.InputStickerSetItem,
    0x861cc8a0: types.InputStickerSetShortName,
    0xdbaeae9: types.InputStickerSetThumb,
    0x438865b: types.InputStickeredMediaDocument,
    0x4a992157: types.InputStickeredMediaPhoto,
    0x29be5899: types.InputTakeoutFileLocation,
    0x3c5693e9: types.InputTheme,
    0xbd507cd1: types.InputThemeSettings,
    0xf5890df1: types.InputThemeSlug,
    0xd8292816: types.InputUser,
    0xb98886cf: types.InputUserEmpty,
    0x2d117597: types.InputUserFromMessage,
    0xf7c1b13f: types.InputUserSelf,
    0xe630b979: types.InputWallPaper,
    0x8427bbac: types.InputWallPaperNoFile,
    0x72091c80: types.InputWallPaperSlug,
    0x9bed434d: types.InputWebDocument,
    0x9f2221c9: types.InputWebFileGeoPointLocation,
    0xc239d686: types.InputWebFileLocation,
    0xc30aa358: types.Invoice,
    0xf7444763: types.JsonArray,
    0xc7345e6a: types.JsonBool,
    0x3f6d7b68: types.JsonNull,
    0x2be0dfa4: types.JsonNumber,
    0x99c1d49d: types.JsonObject,
    0xc0de1bd9: types.JsonObjectValue,
    0xb71e767a: types.JsonString,
    0xa2fa4880: types.KeyboardButton,
    0xafd93fbb: types.KeyboardButtonBuy,
    0x35bbdb6b: types.KeyboardButtonCallback,
    0x50f41ccf: types.KeyboardButtonGame,
    0xfc796b3f: types.KeyboardButtonRequestGeoLocation,
    0xb16a6c29: types.KeyboardButtonRequestPhone,
    0xbbc7515d: types.KeyboardButtonRequestPoll,
    0x77608b83: types.KeyboardButtonRow,
    0x568a748: types.KeyboardButtonSwitchInline,
    0x258aff05: types.KeyboardButtonUrl,
    0x10b78d29: types.KeyboardButtonUrlAuth,
    0xcb296bf8: types.LabeledPrice,
    0xf385c1f6: types.LangPackDifference,
    0xeeca5ce3: types.LangPackLanguage,
    0xcad181f6: types.LangPackString,
    0x2979eeb2: types.LangPackStringDeleted,
    0x6c47ac9f: types.LangPackStringPluralized,
    0xaed6dbb2: types.MaskCoords,
    0x58ae39c9: types.Message,
    0xabe9affe: types.MessageActionBotAllowed,
    0x95d2ac92: types.MessageActionChannelCreate,
    0xb055eaee: types.MessageActionChannelMigrateFrom,
    0x488a7337: types.MessageActionChatAddUser,
    0xa6638b9a: types.MessageActionChatCreate,
    0x95e3fbef: types.MessageActionChatDeletePhoto,
    0xb2ae9b0c: types.MessageActionChatDeleteUser,
    0x7fcb13a8: types.MessageActionChatEditPhoto,
    0xb5a1ce5a: types.MessageActionChatEditTitle,
    0xf89cf5e8: types.MessageActionChatJoinedByLink,
    0x51bdb021: types.MessageActionChatMigrateTo,
    0xf3f25f76: types.MessageActionContactSignUp,
    0xfae69f56: types.MessageActionCustomAction,
    0xb6aef7b0: types.MessageActionEmpty,
    0x92a72876: types.MessageActionGameScore,
    0x98e0d697: types.MessageActionGeoProximityReached,
    0x7a0d7f42: types.MessageActionGroupCall,
    0x9fbab604: types.MessageActionHistoryClear,
    0x76b9f11a: types.MessageActionInviteToGroupCall,
    0x40699cd0: types.MessageActionPaymentSent,
    0x8f31b327: types.MessageActionPaymentSentMe,
    0x80e11a7f: types.MessageActionPhoneCall,
    0x94bd38ed: types.MessageActionPinMessage,
    0x4792929b: types.MessageActionScreenshotTaken,
    0xd95c6154: types.MessageActionSecureValuesSent,
    0x1b287353: types.MessageActionSecureValuesSentMe,
    0x83e5de54: types.MessageEmpty,
    0x761e6af4: types.MessageEntityBankCard,
    0x20df5d0: types.MessageEntityBlockquote,
    0xbd610bc9: types.MessageEntityBold,
    0x6cef8ac7: types.MessageEntityBotCommand,
    0x4c4e743f: types.MessageEntityCashtag,
    0x28a20571: types.MessageEntityCode,
    0x64e475c2: types.MessageEntityEmail,
    0x6f635b0d: types.MessageEntityHashtag,
    0x826f8b60: types.MessageEntityItalic,
    0xfa04579d: types.MessageEntityMention,
    0x352dca58: types.MessageEntityMentionName,
    0x9b69e34b: types.MessageEntityPhone,
    0x73924be0: types.MessageEntityPre,
    0xbf0693d4: types.MessageEntityStrike,
    0x76a6d327: types.MessageEntityTextUrl,
    0x9c4e7e8b: types.MessageEntityUnderline,
    0xbb92ba95: types.MessageEntityUnknown,
    0x6ed02538: types.MessageEntityUrl,
    0x5f777dce: types.MessageFwdHeader,
    0xad4fc9bd: types.MessageInteractionCounters,
    0xcbf24940: types.MessageMediaContact,
    0x3f7ee58b: types.MessageMediaDice,
    0x9cb070d7: types.MessageMediaDocument,
    0x3ded6320: types.MessageMediaEmpty,
    0xfdb19008: types.MessageMediaGame,
    0x56e0d474: types.MessageMediaGeo,
    0xb940c666: types.MessageMediaGeoLive,
    0x84551347: types.MessageMediaInvoice,
    0x695150d7: types.MessageMediaPhoto,
    0x4bd6e798: types.MessageMediaPoll,
    0x9f84f49e: types.MessageMediaUnsupported,
    0x2ec0533f: types.MessageMediaVenue,
    0xa32dd600: types.MessageMediaWebPage,
    0xae30253: types.MessageRange,
    0x4128faac: types.MessageReplies,
    0xa6d57763: types.MessageReplyHeader,
    0x286fa604: types.MessageService,
    0xa28e5559: types.MessageUserVote,
    0x36377430: types.MessageUserVoteInputOption,
    0xe8fe0de: types.MessageUserVoteMultiple,
    0x455b853d: types.MessageViews,
    0xb45c69d1: types.messages.AffectedHistory,
    0x84d19185: types.messages.AffectedMessages,
    0xedfd405f: types.messages.AllStickers,
    0xe86602c3: types.messages.AllStickersNotModified,
    0x4fcba9c8: types.messages.ArchivedStickers,
    0x36585ea4: types.messages.BotCallbackAnswer,
    0x947ca848: types.messages.BotResults,
    0x64479808: types.messages.ChannelMessages,
    0xe5d7d19c: types.messages.ChatFull,
    0x64ff9fd5: types.messages.Chats,
    0x9cd81144: types.messages.ChatsSlice,
    0x2c221edd: types.messages.DhConfig,
    0xc0e24635: types.messages.DhConfigNotModified,
    0x15ba6c40: types.messages.Dialogs,
    0xf0e3e596: types.messages.DialogsNotModified,
    0x71e094f3: types.messages.DialogsSlice,
    0xf5dd8f9d: types.messages.DiscussionMessage,
    0xf37f2f16: types.messages.FavedStickers,
    0x9e8fa6d3: types.messages.FavedStickersNotModified,
    0xb6abc341: types.messages.FeaturedStickers,
    0xc6dc0c66: types.messages.FeaturedStickersNotModified,
    0x5108d648: types.messages.FoundStickerSets,
    0xd54b65d: types.messages.FoundStickerSetsNotModified,
    0x9a3bfd99: types.messages.HighScores,
    0xa927fec5: types.messages.InactiveChats,
    0x26b5dde6: types.messages.MessageEditData,
    0xb6c4f543: types.messages.MessageViews,
    0x8c718e87: types.messages.Messages,
    0x74535f21: types.messages.MessagesNotModified,
    0x3a54685e: types.messages.MessagesSlice,
    0x3371c354: types.messages.PeerDialogs,
    0x22f3afb3: types.messages.RecentStickers,
    0xb17f890: types.messages.RecentStickersNotModified,
    0x2e0709a5: types.messages.SavedGifs,
    0xe8025ca2: types.messages.SavedGifsNotModified,
    0xe844ebff: types.messages.SearchCounter,
    0x9493ff32: types.messages.SentEncryptedFile,
    0x560f8935: types.messages.SentEncryptedMessage,
    0xb60a24a6: types.messages.StickerSet,
    0x35e410a8: types.messages.StickerSetInstallResultArchive,
    0x38641628: types.messages.StickerSetInstallResultSuccess,
    0xe4599bbd: types.messages.Stickers,
    0xf1749a22: types.messages.StickersNotModified,
    0x823f649: types.messages.VotesList,
    0x8e1a1775: types.NearestDc,
    0xd612e8ef: types.NotifyBroadcasts,
    0xc007cec3: types.NotifyChats,
    0x9fd40bd8: types.NotifyPeer,
    0xb4c83b4c: types.NotifyUsers,
    0x98657f0d: types.Page,
    0xce0d37b0: types.PageBlockAnchor,
    0x804361ea: types.PageBlockAudio,
    0xbaafe5e0: types.PageBlockAuthorDate,
    0x263d7c26: types.PageBlockBlockquote,
    0xef1751b5: types.PageBlockChannel,
    0x65a0fa4d: types.PageBlockCollage,
    0x39f23300: types.PageBlockCover,
    0x76768bed: types.PageBlockDetails,
    0xdb20b188: types.PageBlockDivider,
    0xa8718dc5: types.PageBlockEmbed,
    0xf259a80b: types.PageBlockEmbedPost,
    0x48870999: types.PageBlockFooter,
    0xbfd064ec: types.PageBlockHeader,
    0x1e148390: types.PageBlockKicker,
    0xe4e88011: types.PageBlockList,
    0xa44f3ef6: types.PageBlockMap,
    0x9a8ae1e1: types.PageBlockOrderedList,
    0x467a0766: types.PageBlockParagraph,
    0x1759c560: types.PageBlockPhoto,
    0xc070d93e: types.PageBlockPreformatted,
    0x4f4456d3: types.PageBlockPullquote,
    0x16115a96: types.PageBlockRelatedArticles,
    0x31f9590: types.PageBlockSlideshow,
    0xf12bb6e1: types.PageBlockSubheader,
    0x8ffa9a1f: types.PageBlockSubtitle,
    0xbf4dea82: types.PageBlockTable,
    0x70abc3fd: types.PageBlockTitle,
    0x13567e8a: types.PageBlockUnsupported,
    0x7c8fe7b6: types.PageBlockVideo,
    0x6f747657: types.PageCaption,
    0x25e073fc: types.PageListItemBlocks,
    0xb92fb6cd: types.PageListItemText,
    0x98dd8936: types.PageListOrderedItemBlocks,
    0x5e068047: types.PageListOrderedItemText,
    0xb390dc08: types.PageRelatedArticle,
    0x34566b6a: types.PageTableCell,
    0xe0c0c5e5: types.PageTableRow,
    0x3a912d4a: types.PasswordKdfAlgoSHA256SHA256PBKDF2HMACSHA512iter100000SHA256ModPow,
    0xd45ab096: types.PasswordKdfAlgoUnknown,
    0xea02c27e: types.PaymentCharge,
    0x909c3f94: types.PaymentRequestedInfo,
    0xcdc27a1f: types.PaymentSavedCredentialsCard,
    0x3e24e573: types.payments.BankCardData,
    0x3f56aea3: types.payments.PaymentForm,
    0x500911e1: types.payments.PaymentReceipt,
    0x4e5f810d: types.payments.PaymentResult,
    0xd8411139: types.payments.PaymentVerificationNeeded,
    0xfb8fe43c: types.payments.SavedInfo,
    0xd1451883: types.payments.ValidatedRequestedInfo,
    0xe8fd8014: types.PeerBlocked,
    0xbddde532: types.PeerChannel,
    0xbad0e5bb: types.PeerChat,
    0xca461b5d: types.PeerLocated,
    0xaf509d20: types.PeerNotifySettings,
    0xf8ec284b: types.PeerSelfLocated,
    0x733f2961: types.PeerSettings,
    0x9db1bc6d: types.PeerUser,
    0x66ab0bfc: types.phone.GroupCall,
    0x9cfeb92d: types.phone.GroupParticipants,
    0xec82e140: types.phone.PhoneCall,
    0x8742ae7f: types.PhoneCall,
    0x997c454a: types.PhoneCallAccepted,
    0xfaf7e8c9: types.PhoneCallDiscardReasonBusy,
    0xe095c1a0: types.PhoneCallDiscardReasonDisconnect,
    0x57adc690: types.PhoneCallDiscardReasonHangup,
    0x85e42301: types.PhoneCallDiscardReasonMissed,
    0x50ca4de1: types.PhoneCallDiscarded,
    0x5366c915: types.PhoneCallEmpty,
    0xfc878fc8: types.PhoneCallProtocol,
    0x87eabb53: types.PhoneCallRequested,
    0x1b8f4ad1: types.PhoneCallWaiting,
    0x9d4c17c0: types.PhoneConnection,
    0x635fe375: types.PhoneConnectionWebrtc,
    0xfb197a65: types.Photo,
    0xe9a734fa: types.PhotoCachedSize,
    0x2331b22d: types.PhotoEmpty,
    0xd8214d41: types.PhotoPathSize,
    0x77bfb61b: types.PhotoSize,
    0xe17e23c: types.PhotoSizeEmpty,
    0x5aa86a51: types.PhotoSizeProgressive,
    0xe0b0bc2e: types.PhotoStrippedSize,
    0x20212ca8: types.photos.Photo,
    0x8dca6aa5: types.photos.Photos,
    0x15051f54: types.photos.PhotosSlice,
    0x86e18161: types.Poll,
    0x6ca9c2e9: types.PollAnswer,
    0x3b6ddad2: types.PollAnswerVoters,
    0xbadcc1a3: types.PollResults,
    0x5ce14175: types.PopularContact,
    0x1e8caaeb: types.PostAddress,
    0x42ffd42b: types.PrivacyKeyAddedByPhone,
    0x500e6dfa: types.PrivacyKeyChatInvite,
    0x69ec56a3: types.PrivacyKeyForwards,
    0x3d662b7b: types.PrivacyKeyPhoneCall,
    0xd19ae46d: types.PrivacyKeyPhoneNumber,
    0x39491cc8: types.PrivacyKeyPhoneP2P,
    0x96151fed: types.PrivacyKeyProfilePhoto,
    0xbc2eab30: types.PrivacyKeyStatusTimestamp,
    0x65427b82: types.PrivacyValueAllowAll,
    0x18be796b: types.PrivacyValueAllowChatParticipants,
    0xfffe1bac: types.PrivacyValueAllowContacts,
    0x4d5bbe0c: types.PrivacyValueAllowUsers,
    0x8b73e763: types.PrivacyValueDisallowAll,
    0xacae0690: types.PrivacyValueDisallowChatParticipants,
    0xf888fa1a: types.PrivacyValueDisallowContacts,
    0xc7f49b7: types.PrivacyValueDisallowUsers,
    0xa384b779: types.ReceivedNotifyMessage,
    0xa01b22f9: types.RecentMeUrlChat,
    0xeb49081d: types.RecentMeUrlChatInvite,
    0xbc0a57dc: types.RecentMeUrlStickerSet,
    0x46e1d13d: types.RecentMeUrlUnknown,
    0x8dbc3336: types.RecentMeUrlUser,
    0x48a30254: types.ReplyInlineMarkup,
    0xf4108aa0: types.ReplyKeyboardForceReply,
    0xa03e5b85: types.ReplyKeyboardHide,
    0x3502758c: types.ReplyKeyboardMarkup,
    0xd072acb4: types.RestrictionReason,
    0x1142bd56: types.SavedPhoneContact,
    0x33f0ea47: types.SecureCredentialsEncrypted,
    0x8aeabec3: types.SecureData,
    0xe0277a62: types.SecureFile,
    0x64199744: types.SecureFileEmpty,
    0xbbf2dda0: types.SecurePasswordKdfAlgoPBKDF2HMACSHA512iter100000,
    0x86471d92: types.SecurePasswordKdfAlgoSHA512,
    0x4a8537: types.SecurePasswordKdfAlgoUnknown,
    0x21ec5a5f: types.SecurePlainEmail,
    0x7d6099dd: types.SecurePlainPhone,
    0x829d99da: types.SecureRequiredType,
    0x27477b4: types.SecureRequiredTypeOneOf,
    0x1527bcac: types.SecureSecretSettings,
    0x187fa0ca: types.SecureValue,
    0x869d758f: types.SecureValueError,
    0xe8a40bd9: types.SecureValueErrorData,
    0x7a700873: types.SecureValueErrorFile,
    0x666220e9: types.SecureValueErrorFiles,
    0xbe3dfa: types.SecureValueErrorFrontSide,
    0x868a2aa5: types.SecureValueErrorReverseSide,
    0xe537ced6: types.SecureValueErrorSelfie,
    0xa1144770: types.SecureValueErrorTranslationFile,
    0x34636dd8: types.SecureValueErrorTranslationFiles,
    0xed1ecdb0: types.SecureValueHash,
    0xcbe31e26: types.SecureValueTypeAddress,
    0x89137c0d: types.SecureValueTypeBankStatement,
    0x6e425c4: types.SecureValueTypeDriverLicense,
    0x8e3ca7ee: types.SecureValueTypeEmail,
    0xa0d0744b: types.SecureValueTypeIdentityCard,
    0x99a48f23: types.SecureValueTypeInternalPassport,
    0x3dac6a00: types.SecureValueTypePassport,
    0x99e3806a: types.SecureValueTypePassportRegistration,
    0x9d2a81e3: types.SecureValueTypePersonalDetails,
    0xb320aadb: types.SecureValueTypePhone,
    0x8b883488: types.SecureValueTypeRentalAgreement,
    0xea02ec33: types.SecureValueTypeTemporaryRegistration,
    0xfc36954e: types.SecureValueTypeUtilityBill,
    0xfd5ec8f5: types.SendMessageCancelAction,
    0x628cbc6f: types.SendMessageChooseContactAction,
    0xdd6a8f48: types.SendMessageGamePlayAction,
    0x176f8ba1: types.SendMessageGeoLocationAction,
    0xd52f73f7: types.SendMessageRecordAudioAction,
    0x88f27fbc: types.SendMessageRecordRoundAction,
    0xa187d66f: types.SendMessageRecordVideoAction,
    0x16bf744e: types.SendMessageTypingAction,
    0xf351d7ab: types.SendMessageUploadAudioAction,
    0xaa0cd9e4: types.SendMessageUploadDocumentAction,
    0xd1d34a26: types.SendMessageUploadPhotoAction,
    0x243e1c66: types.SendMessageUploadRoundAction,
    0xe9763aec: types.SendMessageUploadVideoAction,
    0xb6213cdf: types.ShippingOption,
    0xd92c2285: types.SpeakingInGroupCallAction,
    0xbdf78394: types.stats.BroadcastStats,
    0xef7ff916: types.stats.MegagroupStats,
    0x8999f295: types.stats.MessageStats,
    0xcb43acde: types.StatsAbsValueAndPrev,
    0xb637edaf: types.StatsDateRangeDays,
    0x8ea464b6: types.StatsGraph,
    0x4a27eb2d: types.StatsGraphAsync,
    0xbedc9822: types.StatsGraphError,
    0x6014f412: types.StatsGroupTopAdmin,
    0x31962a4c: types.StatsGroupTopInviter,
    0x18f3d0f7: types.StatsGroupTopPoster,
    0xcbce2fe0: types.StatsPercentValue,
    0x47a971e0: types.StatsURL,
    0x12b299d4: types.StickerPack,
    0x40e237a8: types.StickerSet,
    0x6410a5d2: types.StickerSetCovered,
    0x3407e51b: types.StickerSetMultiCovered,
    0xcae1aadf: types.storage.FileGif,
    0x7efe0e: types.storage.FileJpeg,
    0x4b09ebbc: types.storage.FileMov,
    0x528a0677: types.storage.FileMp3,
    0xb3cea0e4: types.storage.FileMp4,
    0x40bc6f52: types.storage.FilePartial,
    0xae1e508d: types.storage.FilePdf,
    0xa4f63c0: types.storage.FilePng,
    0xaa963b05: types.storage.FileUnknown,
    0x1081464c: types.storage.FileWebp,
    0x35553762: types.TextAnchor,
    0x6724abc4: types.TextBold,
    0x7e6260d7: types.TextConcat,
    0xde5a0dd6: types.TextEmail,
    0xdc3d824f: types.TextEmpty,
    0x6c3f19b9: types.TextFixed,
    0x81ccf4f: types.TextImage,
    0xd912a59c: types.TextItalic,
    0x34b8621: types.TextMarked,
    0x1ccb966a: types.TextPhone,
    0x744694e0: types.TextPlain,
    0x9bf8bb95: types.TextStrike,
    0xed6a8504: types.TextSubscript,
    0xc7fb5e01: types.TextSuperscript,
    0xc12622c4: types.TextUnderline,
    0x3c2884c1: types.TextUrl,
    0x28f1114: types.Theme,
    0x9c14984a: types.ThemeSettings,
    0xedcdc05b: types.TopPeer,
    0x148677e2: types.TopPeerCategoryBotsInline,
    0xab661b5b: types.TopPeerCategoryBotsPM,
    0x161d9628: types.TopPeerCategoryChannels,
    0x637b7ed: types.TopPeerCategoryCorrespondents,
    0xfbeec0f0: types.TopPeerCategoryForwardChats,
    0xa8406ca9: types.TopPeerCategoryForwardUsers,
    0xbd17a14a: types.TopPeerCategoryGroups,
    0xfb834291: types.TopPeerCategoryPeers,
    0x1e76a78c: types.TopPeerCategoryPhoneCalls,
    0xe73547e1: types.UpdateBotCallbackQuery,
    0x3f2038db: types.UpdateBotInlineQuery,
    0xe48f964: types.UpdateBotInlineSend,
    0x5d2f3aa9: types.UpdateBotPrecheckoutQuery,
    0xe0cdc940: types.UpdateBotShippingQuery,
    0x8317c0c3: types.UpdateBotWebhookJSON,
    0x9b9240a6: types.UpdateBotWebhookJSONQuery,
    0xb6d45656: types.UpdateChannel,
    0x70db6837: types.UpdateChannelAvailableMessages,
    0x6e8a84df: types.UpdateChannelMessageForwards,
    0x98a12b4b: types.UpdateChannelMessageViews,
    0x65d2b464: types.UpdateChannelParticipant,
    0x89893b45: types.UpdateChannelReadMessagesContents,
    0xeb0467fb: types.UpdateChannelTooLong,
    0xff2abe9f: types.UpdateChannelUserTyping,
    0x40771900: types.UpdateChannelWebPage,
    0x1330a196: types.UpdateChat,
    0x54c01850: types.UpdateChatDefaultBannedRights,
    0xea4b0e5c: types.UpdateChatParticipantAdd,
    0xb6901959: types.UpdateChatParticipantAdmin,
    0x6e5f8c22: types.UpdateChatParticipantDelete,
    0x7761198: types.UpdateChatParticipants,
    0x9a65ea1f: types.UpdateChatUserTyping,
    0xa229dd06: types.UpdateConfig,
    0x7084a7be: types.UpdateContactsReset,
    0x8e5e9873: types.UpdateDcOptions,
    0xc37521c9: types.UpdateDeleteChannelMessages,
    0xa20db0e5: types.UpdateDeleteMessages,
    0x90866cee: types.UpdateDeleteScheduledMessages,
    0x26ffde7d: types.UpdateDialogFilter,
    0xa5d72105: types.UpdateDialogFilterOrder,
    0x3504914f: types.UpdateDialogFilters,
    0x6e6fe51c: types.UpdateDialogPinned,
    0xe16459c3: types.UpdateDialogUnreadMark,
    0xee2bb969: types.UpdateDraftMessage,
    0x1b3f4df7: types.UpdateEditChannelMessage,
    0xe40370a3: types.UpdateEditMessage,
    0x1710f156: types.UpdateEncryptedChatTyping,
    0x38fe25b7: types.UpdateEncryptedMessagesRead,
    0xb4a2e88d: types.UpdateEncryption,
    0xe511996d: types.UpdateFavedStickers,
    0x19360dc0: types.UpdateFolderPeers,
    0x871fb939: types.UpdateGeoLiveViewed,
    0xa45eb99b: types.UpdateGroupCall,
    0xf2ebdb4e: types.UpdateGroupCallParticipants,
    0xf9d27a5a: types.UpdateInlineBotCallbackQuery,
    0x56022f4d: types.UpdateLangPack,
    0x46560264: types.UpdateLangPackTooLong,
    0x564fe691: types.UpdateLoginToken,
    0x4e90bfd6: types.UpdateMessageID,
    0xaca1657b: types.UpdateMessagePoll,
    0x42f88f2c: types.UpdateMessagePollVote,
    0x62ba04d9: types.UpdateNewChannelMessage,
    0x12bcbd9a: types.UpdateNewEncryptedMessage,
    0x1f2b0afd: types.UpdateNewMessage,
    0x39a51dfb: types.UpdateNewScheduledMessage,
    0x688a30aa: types.UpdateNewStickerSet,
    0xbec268ef: types.UpdateNotifySettings,
    0x246a4b22: types.UpdatePeerBlocked,
    0xb4afcfb0: types.UpdatePeerLocated,
    0x6a7e7366: types.UpdatePeerSettings,
    0xab0f6b1e: types.UpdatePhoneCall,
    0x2661bf09: types.UpdatePhoneCallSignalingData,
    0x8588878b: types.UpdatePinnedChannelMessages,
    0xfa0f3ca2: types.UpdatePinnedDialogs,
    0xed85eab5: types.UpdatePinnedMessages,
    0xee3b272a: types.UpdatePrivacy,
    0x3354678f: types.UpdatePtsChanged,
    0x1cc7de54: types.UpdateReadChannelDiscussionInbox,
    0x4638a26c: types.UpdateReadChannelDiscussionOutbox,
    0x330b5424: types.UpdateReadChannelInbox,
    0x25d6c9c7: types.UpdateReadChannelOutbox,
    0x571d2742: types.UpdateReadFeaturedStickers,
    0x9c974fdf: types.UpdateReadHistoryInbox,
    0x2f2f21bf: types.UpdateReadHistoryOutbox,
    0x68c13933: types.UpdateReadMessagesContents,
    0x9a422c20: types.UpdateRecentStickers,
    0x9375341e: types.UpdateSavedGifs,
    0xebe46819: types.UpdateServiceNotification,
    0x78d4dec1: types.UpdateShort,
    0x402d5dbb: types.UpdateShortChatMessage,
    0x2296d2c8: types.UpdateShortMessage,
    0x11f1331c: types.UpdateShortSentMessage,
    0x43ae3dec: types.UpdateStickerSets,
    0xbb2d201: types.UpdateStickerSetsOrder,
    0x8216fba3: types.UpdateTheme,
    0xa7332b73: types.UpdateUserName,
    0x12b9417b: types.UpdateUserPhone,
    0x95313b0c: types.UpdateUserPhoto,
    0x1bfbd823: types.UpdateUserStatus,
    0x5c486927: types.UpdateUserTyping,
    0x7f891213: types.UpdateWebPage,
    0x74ae4240: types.Updates,
    0x2064674e: types.updates.ChannelDifference,
    0x3e11affb: types.updates.ChannelDifferenceEmpty,
    0xa4bcc6fe: types.updates.ChannelDifferenceTooLong,
    0xf49ca0: types.updates.Difference,
    0x5d75a138: types.updates.DifferenceEmpty,
    0xa8fb1981: types.updates.DifferenceSlice,
    0x4afe8f6d: types.updates.DifferenceTooLong,
    0xa56c2a3e: types.updates.State,
    0x725b04c3: types.UpdatesCombined,
    0xe317af7e: types.UpdatesTooLong,
    0xa99fca4f: types.upload.CdnFile,
    0xeea8e46e: types.upload.CdnFileReuploadNeeded,
    0x96a18d5: types.upload.File,
    0xf18cda44: types.upload.FileCdnRedirect,
    0x21e753bc: types.upload.WebFile,
    0x8f8c0e4e: types.UrlAuthResultAccepted,
    0xa9d6db1f: types.UrlAuthResultDefault,
    0x92d33a0e: types.UrlAuthResultRequest,
    0x938458c1: types.User,
    0x200250ba: types.UserEmpty,
    0xedf17c12: types.UserFull,
    0x69d3ab26: types.UserProfilePhoto,
    0x4f11bae1: types.UserProfilePhotoEmpty,
    0x9d05049: types.UserStatusEmpty,
    0x77ebc742: types.UserStatusLastMonth,
    0x7bf09fc: types.UserStatusLastWeek,
    0x8c703f: types.UserStatusOffline,
    0xedb93949: types.UserStatusOnline,
    0xe26f42f1: types.UserStatusRecently,
    0xe831c556: types.VideoSize,
    0xa437c3ed: types.WallPaper,
    0x8af40b25: types.WallPaperNoFile,
    0x5086cf8: types.WallPaperSettings,
    0xcac943f2: types.WebAuthorization,
    0x1c570ed1: types.WebDocument,
    0xf9c8bcc6: types.WebDocumentNoProxy,
    0xe89c45b2: types.WebPage,
    0x54b56617: types.WebPageAttributeTheme,
    0xeb1477e8: types.WebPageEmpty,
    0x7311ca11: types.WebPageNotModified,
    0xc586da1c: types.WebPagePending,
    0xd1435160: core.functions.DestroyAuthKey,
    0xe7512126: core.functions.DestroySession,
    0xb921bd04: core.functions.GetFutureSalts,
    0x7abe77ec: core.functions.Ping,
    0xf3427b8c: core.functions.PingDelayDisconnect,
    0xd712e4be: core.functions.ReqDHParams,
    0x60469778: core.functions.ReqPq,
    0xbe7e8ef1: core.functions.ReqPqMulti,
    0x58e4a740: core.functions.RpcDropAnswer,
    0xf5045f1f: core.functions.SetClientDHParams,
    0x4679b65f: core.types.AccessPointRule,
    0xa7eff811: core.types.BadMsgNotification,
    0xedab447b: core.types.BadServerSalt,
    0x75a3f765: core.types.BindAuthKeyInner,
    0x6643b654: core.types.ClientDHInnerData,
    0xea109b13: core.types.DestroyAuthKeyFail,
    0x0a9f2259: core.types.DestroyAuthKeyNone,
    0xf660e1d4: core.types.DestroyAuthKeyOk,
    0x62d350c9: core.types.DestroySessionNone,
    0xe22045fc: core.types.DestroySessionOk,
    0xa69dae02: core.types.DhGenFail,
    0x3bcbf734: core.types.DhGenOk,
    0x46dc1fb9: core.types.DhGenRetry,
    0x5a592a6c: core.types.help.ConfigSimple,
    0x9299359f: core.types.HttpWait,
    0xd433ad73: core.types.IpPort,
    0x37982646: core.types.IpPortSecret,
    0x276d3ec6: core.types.MsgDetailedInfo,
    0x809db6df: core.types.MsgNewDetailedInfo,
    0x7d861a08: core.types.MsgResendReq,
    0x62d6b459: core.types.MsgsAck,
    0x8cc0d131: core.types.MsgsAllInfo,
    0x04deb57d: core.types.MsgsStateInfo,
    0xda69fb52: core.types.MsgsStateReq,
    0x9ec20908: core.types.NewSessionCreated,
    0x83c95aec: core.types.PQInnerData,
    0xa9f55f95: core.types.PQInnerDataDc,
    0x3c6a84d4: core.types.PQInnerDataTemp,
    0x56fddf88: core.types.PQInnerDataTempDc,
    0x347773c5: core.types.Pong,
    0x05162463: core.types.ResPQ,
    0xa43ad8b7: core.types.RpcAnswerDropped,
    0xcd78e586: core.types.RpcAnswerDroppedRunning,
    0x5e2ad36e: core.types.RpcAnswerUnknown,
    0x2144ca19: core.types.RpcError,
    0xf35c6d01: core.types.RpcResult,
    0xb5890dba: core.types.ServerDHInnerData,
    0x79cb045d: core.types.ServerDHParamsFail,
    0xd0e8075c: core.types.ServerDHParamsOk
}
